Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::quake3::Q3LevelLoadParameter Struct Reference

`#include <IQ3Shader.h>`

List of all members.

## Public Member Functions

| Q3LevelLoadParameter ()

## Public Attributes

s32 | alpharef
s32 | cleanUnResolvedMeshes
video::E_MATERIAL_FLAG | defaultFilter
video::E_MATERIAL_TYPE | defaultLightMapMaterial
video::E_MODULATE_FUNC | defaultModulate
u32 | endTime
s32 | loadAllShaders
s32 | loadSkyShader
s32 | mergeShaderBuffer
s32 | patchTesselation
c8 | scriptDir [64]
u32 | startTime
s32 | swapHeader
s32 | swapLump
s32 | verbose

## Detailed Description

used to customize Quake3 BSP Loader

Definition at line 37 of file IQ3Shader.h.

## Constructor & Destructor Documentation

irr::scene::quake3::Q3LevelLoadParameter::Q3LevelLoadParameter | ( |  | ) | `[inline]`

Definition at line 39 of file IQ3Shader.h.

References scriptDir.

## Member Data Documentation

s32 irr::scene::quake3::Q3LevelLoadParameter::alpharef

Definition at line 72 of file IQ3Shader.h.

s32 irr::scene::quake3::Q3LevelLoadParameter::cleanUnResolvedMeshes

Definition at line 69 of file IQ3Shader.h.

video::E_MATERIAL_FLAG irr::scene::quake3::Q3LevelLoadParameter::defaultFilter

Definition at line 63 of file IQ3Shader.h.

video::E_MATERIAL_TYPE irr::scene::quake3::Q3LevelLoadParameter::defaultLightMapMaterial

Definition at line 61 of file IQ3Shader.h.

video::E_MODULATE_FUNC irr::scene::quake3::Q3LevelLoadParameter::defaultModulate

Definition at line 62 of file IQ3Shader.h.

u32 irr::scene::quake3::Q3LevelLoadParameter::endTime

Definition at line 67 of file IQ3Shader.h.

s32 irr::scene::quake3::Q3LevelLoadParameter::loadAllShaders

Definition at line 70 of file IQ3Shader.h.

s32 irr::scene::quake3::Q3LevelLoadParameter::loadSkyShader

Definition at line 71 of file IQ3Shader.h.

s32 irr::scene::quake3::Q3LevelLoadParameter::mergeShaderBuffer

Definition at line 68 of file IQ3Shader.h.

s32 irr::scene::quake3::Q3LevelLoadParameter::patchTesselation

Definition at line 64 of file IQ3Shader.h.

c8 irr::scene::quake3::Q3LevelLoadParameter::scriptDir[64]

Definition at line 75 of file IQ3Shader.h.

Referenced by Q3LevelLoadParameter().

u32 irr::scene::quake3::Q3LevelLoadParameter::startTime

Definition at line 66 of file IQ3Shader.h.

s32 irr::scene::quake3::Q3LevelLoadParameter::swapHeader

Definition at line 74 of file IQ3Shader.h.

s32 irr::scene::quake3::Q3LevelLoadParameter::swapLump

Definition at line 73 of file IQ3Shader.h.

s32 irr::scene::quake3::Q3LevelLoadParameter::verbose

Definition at line 65 of file IQ3Shader.h.

The documentation for this struct was generated from the following file:

- IQ3Shader.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:07:13 2010 by Doxygen (1.6.2)